Subject: [Int-area] Request for comments

From: "Rafiee, Hosnieh" <[email-masked]>
Date: Sat, 6 Oct 2012 19:26:25 +0200

Please take a look at my RFC draft and share your comments with me so that I might improve it. I would like discuss this draft in IETF meetings in Atlanta.

Thanks,

Hosnieh

A new version of I-D, draft-rafiee-cga-tsig-00.txt has been successfully submitted by Hosnieh Rafiee and posted to the IETF repository.

Filename:            draft-rafiee-cga-tsig

Revision:              00

Title:                      Transaction SIGnature (TSIG) using CGA Algorithm in IPv6

Creation date:   2012-09-30

WG ID:                  Individual Submission

Number of pages: 13

URL:             http://www.ietf.org/internet-drafts/draft-rafiee-cga-tsig-00.txt

Status:          http://datatracker.ietf.org/doc/draft-rafiee-cga-tsig

Htmlized:        http://tools.ietf.org/html/draft-rafiee-cga-tsig-00

Abstract:

   The first step of Transaction SIGnature (TSIG) (RFC 2845) is to

   generate a shared secret and exchange it manually between a DNS

   server and a host. This document, CGA-TSIG, proposes a possible way

  to automate the now manual process for the authentication of a node

   with a DNS server during the DNS Update process by using the same

   parameters as are used in generating a secure address in IPv6

   networks, i.e., Cryptographically Generated Addresses (CGA) (RFC

   3972). CGA-TSIG facilitates this authentication process and reduces

   the time needed for DNS Updates. The current signature generation

   process and verification mechanism in TSIG are thus replaced with

   CGA. This algorithm is added, as an extension, to TSIG to eliminate

   the human intervention needed for generation and exchange of keys

   between a DNS server and a host when SEcure Neighbor Discovery (SEND)

   (RFC 3971) is used.